package cn.novalon.gym.manage.sys.dto.request;

import jakarta.validation.constraints.NotBlank;

/**
 * 密码修改请求DTO
 * 
 * @author 张翔
 * @date 2026-03-14
 */
public class PasswordChangeRequest {

    @NotBlank(message = "旧密码不能为空")
    private String oldPassword;

    @NotBlank(message = "新密码不能为空")
    private String newPassword;

    public String getOldPassword() {
        return oldPassword;
    }

    public void setOldPassword(String oldPassword) {
        this.oldPassword = oldPassword;
    }

    public String getNewPassword() {
        return newPassword;
    }

    public void setNewPassword(String newPassword) {
        this.newPassword = newPassword;
    }
}
